%global srcname oslo-utils

Name:           python-%{srcname}
Version:        7.0.0
Release:        %mkrel 1
Summary:        OpenStack OSLO Utility library

Group:          Development/Python
License:        MIT
URL:            https://github.com/openstack/oslo.utils
Source0:        https://pypi.io/packages/source/o/oslo.utils/oslo.utils-%{version}.tar.gz

BuildArch:      noarch

%description
The oslo.utils library contain utilities for OpenStack.

%package -n     python3-%{srcname}
Summary:        OpenStack OSLO Utility library
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
The oslo.utils library contain utilities for OpenStack.

This is the Python 3 version of the package.

%prep
%setup -q -n oslo.utils-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files oslo_utils

%files -n python3-%{srcname} -f %{pyproject_files}
%doc AUTHORS ChangeLog CONTRIBUTING.rst README.rst


%changelog
* Mon Jan 22 2024 papoteur <papoteur> 7.0.0-1.mga10
+ Revision: 2033524
- new version 7.0.0

* Mon Nov 21 2022 bcornec <bcornec> 6.0.1-1.mga9
+ Revision: 1909883
- Update to upstream python-oslo-utils 6.0.1

* Mon Aug 01 2022 bcornec <bcornec> 6.0.0-1.mga9
+ Revision: 1874160
- Update to upstream python-oslo-utils 6.0.0

* Fri Jun 24 2022 papoteur <papoteur> 4.12.2-3.mga9
+ Revision: 1865711
- Mass Rebuild for dependencies

* Sun Mar 27 2022 umeabot <umeabot> 4.12.2-2.mga9
+ Revision: 1829119
- Mageia 9 Mass Rebuild

* Sat Feb 19 2022 mrambo3501 <mrambo3501> 4.12.2-1.mga9
+ Revision: 1781488
- version 4.12.2
- rebuild for python-3.10

* Mon Oct 25 2021 bcornec <bcornec> 4.8.0-1.mga9
+ Revision: 1752883
- update to upstream python-oslo-utils 4.8.0

* Sat Jun 26 2021 wally <wally> 4.1.1-2.mga9
+ Revision: 1732407
- Rebuild for python 3.9

* Mon Aug 24 2020 bcornec <bcornec> 4.1.1-1.mga8
+ Revision: 1618473
- Update to upstream python-oslo-utils 4.1.1

* Sun Feb 16 2020 umeabot <umeabot> 3.39.1-3.mga8
+ Revision: 1533574
- Mageia 8 Mass Rebuild

* Mon Sep 23 2019 tv <tv> 3.39.1-2.mga8
+ Revision: 1444713
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 shlomif <shlomif> 3.39.1-1.mga7
+ Revision: 1353609
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 3.36.0-2.mga7
+ Revision: 1289507
- Mageia 7 Mass Rebuild

* Mon Mar 19 2018 kekepower <kekepower> 3.36.0-1.mga7
+ Revision: 1210517
- Add BR for python2-enum34
- Update to 3.36.0
- Added a ton of new BRs
- Renamed python-oslo-utils to python2-oslo-utils

* Thu Oct 05 2017 tv <tv> 3.16.0-3.mga7
+ Revision: 1169045
- add BR on python2dist(pbr) thus fixing build

* Sat Aug 05 2017 pterjan <pterjan> 3.16.0-2.mga7
+ Revision: 1135534
- Rebuild for python 3.6

* Mon Jan 02 2017 bcornec <bcornec> 3.16.0-1.mga6
+ Revision: 1079658
- Update to upstream python-oslo-utils 3.16.0

* Fri Aug 26 2016 bcornec <bcornec> 3.7.0-1.mga6
+ Revision: 1048967
- update to upstream python-oslo-utils 3.7.0

* Fri Dec 18 2015 daviddavid <daviddavid> 3.2.0-1.mga6
+ Revision: 911562
- new version: 3.2.0

* Wed Oct 14 2015 daviddavid <daviddavid> 2.4.0-2.mga6
+ Revision: 891102
- add python3 package
- use new python macros
- update Summary
- add doc files

* Mon Aug 31 2015 fwang <fwang> 2.4.0-1.mga6
+ Revision: 871469
- 2.4.0

* Mon Feb 23 2015 bcornec <bcornec> 1.3.0-1.mga5
+ Revision: 816650
- Update to upstream 1.3.0
- Upload python oslo components for python keystone client support
- Created package structure for python-oslo-utils.

